%define  upstream_name PHP_Timer
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:		php-pear-%{upstream_name}
Version:	1.0.5
Release:	%mkrel 5
Summary:	Utility class for timing
License:	BSD
Group:		Development/PHP
URL:		http://pear.phpunit.de/package/%upstream_name
Source0:	http://pear.phpunit.de/get/%upstream_name-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
Requires:	php-channel-phpunit
BuildArch:	noarch
BuildRequires:	php-pear
BuildRequires:	php-channel-phpunit

%description
Utility class for timing

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/PHP_Timer.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/PHP_Timer.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.phpunit.de/PHP_Timer
fi

%files
%doc docs/PHP_Timer/*
%{peardir}/*
%{xmldir}/PHP_Timer.xml






%changelog
* Wed Feb 03 2016 umeabot <umeabot> 1.0.5-5.mga6
+ Revision: 933818
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.5-4.mga5
+ Revision: 747261
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.5-3.mga5
+ Revision: 687438
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.0.5-2.mga4
+ Revision: 531991
- Mageia 4 Mass Rebuild

* Wed Aug 14 2013 spuhler <spuhler> 1.0.5-1.mga4
+ Revision: 466485
- upgrade to ver 1.0.5

* Mon Jun 03 2013 spuhler <spuhler> 1.0.4-1.mga4
+ Revision: 436813
- upgrade to ver. 1.0.4
- pearized spec file

* Sun Jan 13 2013 umeabot <umeabot> 1.0.2-2.mga3
+ Revision: 377214
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 14 2011 spuhler <spuhler> 1.0.2-1.mga2
+ Revision: 167461
- upgrade to 1.0.2

* Mon Jul 11 2011 spuhler <spuhler> 1.0.0-1.mga2
+ Revision: 122025
- imported package php-pear-PHP_Timer

